#!/bin/sh
echo 'name: stm
version: 2.4
id: stm-2.4-7929e2354ddb937b8bf4d18cb0816e56

license: BSD3
copyright:
maintainer: libraries@haskell.org
stability:
homepage:
package-url:
synopsis: Software Transactional Memory
description: A modular composable concurrency abstraction.
             .
             Changes in version 2.4
             .
             * Added "Control.Concurrent.STM.TQueue" (a faster @TChan@)
             .
             * Added "Control.Concurrent.STM.TBQueue" (a bounded channel based on @TQueue@)
             .
             * @TChan@ has an @Eq@ instances
             .
             * Added @newBroadcastTChan@ and @newBroadcastTChanIO@
             .
             * Some performance improvements for @TChan@
             .
             * Added @cloneTChan@
category: Concurrency
author:
pkgpath: devel/hs-stm
exposed: True
exposed-modules: Control.Concurrent.STM
                 Control.Concurrent.STM.TArray Control.Concurrent.STM.TVar
                 Control.Concurrent.STM.TChan Control.Concurrent.STM.TMVar
                 Control.Concurrent.STM.TQueue Control.Concurrent.STM.TBQueue
                 Control.Monad.STM
hidden-modules: Control.Sequential.STM
trusted: False
import-dirs: /usr/local/lib/ghc/stm-2.4
library-dirs: /usr/local/lib/ghc/stm-2.4
hs-libraries: HSstm-2.4
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: array-0.4.0.0-4f6c2a594155b0b953c1cf0f54040f61
         base-4.5.1.0-5b1c9d3d412ed227632edae6d2aca151
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-stm-2.4/html/stm.haddock
haddock-html: /usr/local/share/doc/hs-stm-2.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
